{% from '@cambridge_tailwind/components/link/link.twig' import linkClasses %}
{% from '@cambridge_tailwind/components/link/link.twig' import cardLinkClasses %}
{% set closeButtonClasses = linkClasses(false, false) | spaceless | split(" ") | merge(["absolute", "top-0", "right-0", "h-[1.8em]", "w-[1.8em]", "m-16", "sm:m-12", "mb-0", "p-4"]) %}
{% set mobileMenuLinkClasses = cardLinkClasses() | spaceless | split(" ") %}
<div
  class="hidden hidden:xs"
  id="menu-panel-mobile{{ id }}"
  data-menu-panel="menu-panel-mobile{{ id }}"
  aria-labelledby="menu-item-mobile{{ id }}-heading"
  {% if description %}
  aria-describedby="menu-item-mobile{{ id }}-description"
  {% endif %}
  aria-hidden="true"
  role="menu"
>
  <div class="flex flex-row mb-20 px-16 py-16 border-b border-divider-subtle pr-40 align-items-middle">
    {% if parentUrl %}
      {% from '@cambridge_tailwind/components/link/link.twig' import linkClasses %}
      {% set backButtonClasses = linkClasses(false, false) | spaceless | split(" ") | merge(["mr-16", "w-[1.4rem]"]) %}
      <button
        data-menu-control="menu-panel-mobile{{parentUrl}}"
        aria-controls="menu-panel-mobile{{parentUrl}}"
        aria-label="Back"
        title="Back"
        class="{{ backButtonClasses | join(' ') }}"
      >
        {% include '@cambridge_tailwind/components/link/icons/arrow-left.twig' %}
      </button>
    {% endif %}
    <h3 class="{% if parentUrl %}text-style-heading-xs{% else %}text-style-site-heading text-size-3{% endif %} align-middle" id="menu-item-mobile{{ id }}-heading">
    {{ title }}
    </h3>
  </div>
  <div class="px-20">
    {% if description %}
    <p class="text-style-body-sm px-4 mb-16" id="menu-item-mobile{{ id }}-description">
      {{ description }}
    </p>
    {% endif %}
    <ul class="flex flex-col text-style-body-sm" role="menu">
      {% if parentUrl %}
        <li role="none" class="mb-24">
          {% set icon %}
            {% include '@cambridge_tailwind/components/link/icons/arrow-right.twig' %}
          {% endset %}
          {% include '@cambridge_tailwind/components/link/icon-link.twig' with { url: id, text: title ~ " overview", position: "left", "circle": true, icon: icon } only %}
        </li>
      {% endif %}
      {% for item in items %}
        <li role="none">
          {% set mobileMenuLinkAttributes = create_attribute().addClass(mobileMenuLinkClasses).removeClass("focus-visible:outline-offset-2").addClass("flex flex-row w-full content-center text-left px-4 py-16 text-md items-center outline-offset-0") %}
          {% if item.below %}
            <button
              type="button"
              role="menuitem"
              aria-haspopup="true"
              aria-controls="menu-panel-mobile{{item.url}}"
              aria-expanded="false"
              data-menu-control="menu-panel-mobile{{item.url}}"
              {% if item.in_active_trail %}aria-current="page"{% endif %}
              {{mobileMenuLinkAttributes}}
            >
              <span class="grow block min-h-[21px] leading-[21px]">
                {{item.title}}
              </span>
              {% include "@cambridge_tailwind/components/menu/images/caret-right.svg.twig"  %}
            </button>
          {% else %}
            <a href="{{item.url}}" role="menuitem" {{mobileMenuLinkAttributes}} {% if item.in_active_trail %}aria-current="page"{% endif %}>{{item.title}}</a>
          {% endif %}
        </li>
      {% endfor %}
    </ul>
  </div>
  {# Close button #}
  <button id="close-button-mobile-{{id}}" data-close-panel class="{{ closeButtonClasses | join(' ') }}" aria-label="Close menu" title="Close menu">
    {% include '@cambridge_tailwind/components/link/icons/close.twig' %}
  </button>
</div>
{# Recursively call this template for the children #}
{% for item in items %}
  {% if item.below %}
    {% include '@cambridge_tailwind/components/menu/mobile-open-panel.twig' with { id: item.url, title: item.title, items: item.below, parentUrl: id, description: item.section_description, depth: depth + 1 } only %}
  {% endif %}
{% endfor %}